List accounts
curl --request GET \
--url https://postonce.to/api/public/v1/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://postonce.to/api/public/v1/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://postonce.to/api/public/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"platform": "twitter",
"username": "nigelyong",
"avatar_url": "<string>",
"status": "active",
"capabilities": {
"connection_mode": "<string>",
"destination": true,
"source": true,
"backfill": true,
"text": true,
"images": true,
"video": true,
"replies": true,
"threads": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"hint": "<string>"
}
}Accounts
List accounts
Returns all social accounts owned by the API key profile, including disconnected accounts. Partner accounts also receive external_user_id on each account and can filter by it.
GET
https://postonce.to/api/public
/
v1
/
accounts
List accounts
Authorizations
Scoped API key issued in PostOnce Settings. OAuth authorization grants are not currently supported.
Query Parameters
Partner accounts only. Return only accounts connected for this end user.
Response
Accounts returned successfully.
Show child attributes
Show child attributes
